; inc_GuiStrings.ahk
; contains strings for jIDEE.ahk GUIs

kGUIWinID = %kAppName% v%kVersionString% %now%  ; kGUIWinID is added as hidden
; text in the GUI window to uniquely identify it.
; For this to work, DetectHiddenText must be on (by default for AHK scripts)!

;----- system tray -----
; menu item labels
kTrayAbout = &About %kAppName%...
kTrayOpen = &Open
kTrayExit = E&xit

;----- main GUI -----
; menus
kFileMenuTxt = &File
kBuildMenuTxt = &Build
kHelpMenuTxt = &Help
; menu item labels
kMenuDirChange = Change project &folder...	Ctrl+F
kMenuDirExploreRoot = &Explore root folder	Ctrl+E
kMenuFileNew = &New source file...	Ctrl+N
kMenuDirExploreWork = Explore &working folder	Ctrl+Shift+E
kMenuFileRefresh = Refresh lists	Ctrl+R
kMenuFileExit = &Quit	Ctrl+Q
kMenuBuildCompileRoot = &Compile project from root	F9
kMenuHelpHelp = &Help	F1
kMenuHelpAbout = &About %kAppName%
kMenuHelpHomepage = jIDEE &homepage
kMenuHelpCompilerVersion = Compiler &information
kConfigJavaTools = &Reconfigure Java tools

;----- Labels -----
;lbl_Project = Project:

;----- Button labels -----
;btnLbl_BtnNewDir = New
;btnLbl_BtnChangeDirAlt = >
;btnLbl_BtnChangeDirAlt = +
;btnLbl_BtnChangeDirAlt = Change
;btnLbl_BtnChangeDirAlt = <<
;btnLbl_BtnChangeRootDir = Change root 
btnLbl_BtnNewFile = Create new source file
btnLbl_BtnCompileRoot = Compile 

;----- ToolTips -----;
BtnChangeRootDir_TT := "Change project"
BtnExploreProjectDir_TT := "Open project's root folder in Windows Explorer"
BtnCompileRoot_TT := "Compile project from root folder"
BtnNewFile_TT := "Create new source file"
BtnExploreSourceDir_TT := "Open this folder in Windows Explorer"
BtnExploreCompiledDir_TT := "Open this folder in Windows Explorer"

;----- Group Box titles -----
kDirGrpBoxTitle = Project tree
kFilesGrpBoxTitle = Files

;----- List headers -----
;kEditableHeader = Sources
;kCompiledHeader = Compiled
kEditableHeader = Source files
kCompiledHeader = Compiled classes
;----- Lists ContextMenu labels -----
kEditContextOpen = Edit
kEditContextRename = Rename
kEditContextCompile = Compile
kEditContextDelete = Delete
kEditContextRun = Execute
kEditContextNew = New

;----- Dialog text -----
; Setup Wizard
kConfigFirstUseMsgTitle = jIDEE Setup Wizard
kConfigFirstUseMsgTxt =
(
This looks like the first time you are using jIDEE.
This means we need to configure:

    1) Your Java tools.
    2) Your first project folder.
    
The following screens will help you do this.
)

; Set JDK
kSetJDKTools = Select the folder with your system's JDK binaries. This will look like:`n"C:\Program Files\Java\jdk1.6.x_xx\bin"`nSpecify "...\JDK<something>\bin" and NOT "...\JRE<something>\bin"!

; Change folder
kSetRootFolderWizard = Set a project folder. jIDEE organizes your work in project folders.`nSelect or create a folder to use as the root for your first project.`nTip: Do NOT use "My Documents" as a project root folder!
kChangeRootFolder = Select or create a project root folder.`n`nTip: Do NOT use "My Documents" as a project root folder!

; Confirm delete
kFileListConfirmDeleteTitle = Confirm delete
kFileListConfirmDelete = Really delete

; Creating directories
;kNewDirTitle = Create new project folder
;kNewDirDefaultTxt = New Folder
;
;kDirExistsTitle = Folder already exists
;kDirExists1 = The project folder
;kDirExists2 = already exists!`n`nDo you want to open an Explorer window to rename or delete it?

; Renaming and creating files
kNewFileTitle = New source file
kNewFileTxt = Enter new file name (with extension):
kNewFileDefaultTxt = newFile.java

kRenameTitle = Rename source file
kRenameNoFileNameTitle = File not renamed
kRenameNoFileNameTxt = You did not provide a filename. The file was not renamed.
kFileExistsTitle = File already exists
kFileExists1 = The file
kFileExists2 = already exists. Do you want to replace it?
;kNoDefaultDirectoryTitle = Create default project directory?
;kNoDefaultDirectory1 = The deafult project directory
;kNoDefaultDirectory2 = doesn't exist.`n`nDo you want me to create it now?

kWrongExtensionTitle = Inappropriate extension
kWrongExtensionTxt = is not an acceptable extension.`n`nAcceptable extensions are:

; Run (command line arguments)
kRunTitle = Execute
kRunPrompt = command line arguments:

; About box
kAboutMsgBoxTitle = About %kAppName%
kHomePage = http://jidee.co.nr/
kAboutStr = 
(
%kAppName% v%kVersionString%
 2008 Mithat Konar`n<%kHomePage%>

This program is distrubuted under the terms of the`nGNU General Public License (GPL) Version 2, June 1991.

Some icons by Mark James
Creative Commons Attribution 2.5 license
http://www.famfamfam.com/lab/icons/silk/

jIDEE uses the following GPL tools:
* Notepad++  <http://notepad-plus.sourceforge.net>
)

; General file access errors and warnings
kWriteFailureTitle = Write error
kWriteFailure = The attempt to overwrite the file has failed.
kOpenFailureTitle = File opening error
kOpenFailure = Could not open the file:
kNoFilesSelectedTitle = No files selected

; Editor is open box
kEditorOpenTitle = Editor cannot close
kEditorOpenText = `nThe editor cannot be closed, probably because there is an usaved file open in the editor.`n`nClose the editor to continue.

; Edit or Compile? box
kEditOrCompileTitle = Edit or Compile?
kEditOrCompileText = What do you want to do with
kEditOrCompile_editBtnTxt = &Edit
kEditOrCompile_compileBtnTxt = &Compile
kEditOrCompile_cancelBtnTxt = Cancel

;----- BAT file titles
kCompilerTitle = Compiling...	; title of command-line window used for compiling

;----- misc. -----;
kRootDrivesNotAllowedTitle = Root drives are not allowed!
kRootDrivesNotAllowed = Root drives cannot be used as project roots.`n`nSelect a different folder as your project root.